Bug 491929 - Cpu frequency gets stuck at the lowest level when watching videos.
Cpu frequency gets stuck at the lowest level when watching videos.
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-24 13:11 EDT by Tomas Fuk
Modified: 2009-12-18 04:06 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:06:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is my cpuspeed configuration file (2.61 KB, text/plain)
2009-03-24 13:12 EDT, Tomas Fuk
no flags Details
dmesg output after cpu got locked (when watching movie) (121.19 KB, text/plain)
2009-04-05 05:02 EDT, Tomas Fuk
no flags Details
dmesg output after huge cpu load for few minutes (121.40 KB, text/plain)
2009-04-05 05:05 EDT, Tomas Fuk
no flags Details
dmesg output (53.19 KB, text/plain)
2009-04-05 05:17 EDT, Tomas Fuk
no flags Details

  None (edit)
Description Tomas Fuk 2009-03-24 13:11:20 EDT
Description of problem:
I have Dell d600 laptop and when watching a movie the cpu frequency gets down to the lowest possible value (600000) and gets stuck there. This happens only when watching movies (either from xine, mplayer or in browser via flashplayer). First I configured the /etc/sysconfig/cpuspeed file to set the lowest freq to 1200000 but it doesn't help. When I do this and then work with the computer everything is fine, the cpu freq changes on demand and never goes below 1200000 but when start watching a movie, it gets down to 600000 after random time.
Then when this happen I'm not able to start cpuspeed deamon, I get the following error:
Error: No speed steps could be determined!
I cannot restart cpuspeed using /etc/init.d/cpuspeed restart, I get the following error:
/etc/init.d/cpuspeed: line 62: echo: write error:
And the content of the file /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq is 600000 and it should be 1600000. I cannot change this value using echo 1600000 > /sys/devices/system/cpu/cpu0/cpufreq/scaling_max_freq

In the /sys/devices/system/cpu/cpu0/cpufreq directory there are following files

ll && cat *
celkem 0
-r--r--r-- 1 root root 4096 24. bře 15.57 affected_cpus
-r-------- 1 root root 4096 24. bře 15.57 cpuinfo_cur_freq
-r--r--r-- 1 root root 4096 24. bře 15.57 cpuinfo_max_freq
-r--r--r-- 1 root root 4096 24. bře 15.57 cpuinfo_min_freq
drwxr-xr-x 2 root root    0 24. bře 17.53 ondemand
-r--r--r-- 1 root root 4096 24. bře 15.57 related_cpus
-r--r--r-- 1 root root 4096 24. bře 15.53 scaling_available_frequencies
-r--r--r-- 1 root root 4096 24. bře 15.57 scaling_available_governors
-r--r--r-- 1 root root 4096 24. bře 15.53 scaling_cur_freq
-r--r--r-- 1 root root 4096 24. bře 15.53 scaling_driver
-rw-r--r-- 1 root root 4096 24. bře 17.53 scaling_governor
-rw-r--r-- 1 root root 4096 24. bře 15.57 scaling_max_freq
-rw-r--r-- 1 root root 4096 24. bře 17.53 scaling_min_freq
-rw-r--r-- 1 root root 4096 24. bře 17.53 scaling_setspeed
0
600000
1600000
600000
cat: ondemand: je adresářem
0
1600000 1400000 1200000 1000000 800000 600000
ondemand userspace performance
600000
acpi-cpufreq
ondemand
600000
600000
<unsupported>


Version-Release number of selected component (if applicable):
My kernel version is:
2.6.27.19-170.2.35.fc10.i686


How reproducible:
Every time I start watching video.

Steps to Reproduce:
1. Watch a video using mplayer or xine or in browser.
2. Wait for about 10-15 minutes.
3.
  
Actual results:
The cpu frequency is at the lowest level and won't get up.

Expected results:


Additional info:
Comment 1 Tomas Fuk 2009-03-24 13:12:48 EDT
Created attachment 336501 [details]
This is my cpuspeed configuration file
Comment 2 Jarod Wilson 2009-03-24 14:04:27 EDT
Reasonably sure this is NOTABUG. The d600 getting locked at its minimum frequency sounds eerily familiar... And its happening when the system has been very active (i.e. generating a lot of heat) for a while. Pretty sure this is the BIOS forcing the frequency down to keep the machine from overheating. Try booting with the kernel parameter 'cpufreq.debug=7', and attach dmesg output from after the cpu gets locked down to 600MHz here.
Comment 3 Tomas Fuk 2009-04-05 05:02:25 EDT
Created attachment 338212 [details]
dmesg output after cpu got locked (when watching movie)

this is the first dmesg output, it was taken after the situation I described for the first time.
Comment 4 Tomas Fuk 2009-04-05 05:05:44 EDT
Created attachment 338213 [details]
dmesg output after huge cpu load for few minutes

Then I tried to make some huge cpu load for few minutes. I ran few applications to make the cpu work on 100 percent for about 7 minutes and then again, cpu got stuck at the 600 Mhz. Here is the dmesg outpu.
Comment 5 Tomas Fuk 2009-04-05 05:15:15 EDT
After taking the two previous outputs I thought you were right and it is the BIOS forcing the frequency down. I also have the system monitor running all the time and check the cpu load and temperature, and it always got locked when the temperature was getting high and the cpu load was 100% BUT in the last few days the behaviour changed. It randomly (about three times) got locked when there was no extra cpu load and the temperature was at the lowest possible level, but unfortunately I don't have the dmesg output with cpufreq.debug=7. And another observations, I noticed the same situation happens when I unplug and then plug in again the AC. Again the cpu gets locked and the only solution is to reboot. In the last attachment there is the output of dmesg after that situation.
Comment 6 Tomas Fuk 2009-04-05 05:17:25 EDT
Created attachment 338214 [details]
dmesg output

dmesh output when I unplug and then again plug in the AC.
Comment 7 Bug Zapper 2009-11-18 06:35:37 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-12-18 04:06:01 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.